#!/bin/awk -f
#
# Take a list of input names which have been reformatted by script
#	refmt_extent.awk and convert them back to standard SCG/GDC
#	extent format.
#
# Modif J.S.Charters Jan96  Add ability to process two dumps
#	in one day.  Handle the file.95jan04.1 format.
# Modif J.S.Charters Jan2000 change year from 2 digits to 4 
#	digits.
#
BEGIN{
FS="."
}
{
	if (FILETYPE == $3) {
		year = substr($1,1,4);
		mnth = substr($1,5,2);
		day = substr($1,7,2);
		time = $2;
	} else {
		next;
	}
	printf "%s.%04d%s%02d.%s.ps\n",FILETYPE,year,mnth,day,time
}
