#!/bin/nawk -f
BEGIN {
	past_head = 180.
}
{
	if(substr($0,15,2) == "00") {  

       	 hrdec = substr($0,11,2) + substr($0,13,2)/60. 
       	 latdec = substr($0,24,2) + substr($0,27,6)/60. 
       	 if (substr($0,33,1) == "S"){latdec = -latdec} 

       	 londec = substr($0,34,3) + substr($0,38,6)/60. 
       	 if (substr($0,44,1) == "W"){londec = -londec} 

       	 spd = substr($0,53,5) 

       	 head = substr($0,59,5) 
	 temp = head - past_head
	 if ( temp < 0 ) temp = 0 - temp
	 if ( temp > 190 ) head = "NaN"
	 past_head = head

       	 h2otemp = substr($0,65,5) 

       	 if ( hrdec <= 23.94) print hrdec,latdec,londec,spd,head,h2otemp 
       	} 
}  


